For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Sync Source
      • GETModel Sync Field Query
      • GETList Syncs
      • POSTCreate Sync
      • GETGet Sync Schedule Options
      • GETGet Sync
      • PUTUpdate Sync
      • DELDelete Model Sync
      • POSTActivate Sync
      • POSTCancel Sync
      • POSTStart Sync
      • GETGet Sync Status
        • GETGet Sync Target Metadata
        • GETGet Sync Target
        • GETList Sync Targets
        • GETGet Target Creation Property Values
Logo
Log inBook a demo
API ReferenceModel SyncTargets

List Sync Targets

GET
https://app.polytomic.com/api/connections/:id/modelsync/targetobjects
GET
/api/connections/:id/modelsync/targetobjects
$curl https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/modelsync/targetobjects \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>"
1{
2 "data": [
3 {
4 "id": "crm_contact",
5 "modes": [
6 {
7 "id": "create",
8 "requires_identity": true,
9 "supports_per_field_mode": true,
10 "supports_target_filters": true
11 }
12 ],
13 "name": "Contact"
14 }
15 ],
16 "target_creation": {
17 "properties": [
18 {
19 "enum": true,
20 "id": "account",
21 "title": "Account ID",
22 "values": [
23 {
24 "label": "North America Sales",
25 "value": "urn:li:account:na_sales_001"
26 },
27 {
28 "label": "Europe Marketing",
29 "value": "urn:li:account:eu_marketing_002"
30 }
31 ]
32 }
33 ],
34 "supported": true
35 }
36}
Lists the target objects available on a connection for use as a model sync destination. If the connection supports creating new destinations, the `target_creation` object will contain information on what properties are required to create the target. Target creation properties are all string values; the `enum` flag indicates if the property has a fixed set of valid values. When `enum` is `true`, the [Target Creation Property Values](../../../../../api-reference/model-sync/targets/get-create-property) endpoint can be used to retrieve the valid values. Alternatively, pass `include_target_creation_values=true` to inline the `values` array for each enum property directly in this response. ## Sync modes The sync mode determines which records are written to the destination for a model sync. The `modes` array for a target object defines the `id` along with what operations the mode supports.
Was this page helpful?
Previous

Get Target Creation Property Values

Next

Lists the target objects available on a connection for use as a model sync destination.

If the connection supports creating new destinations, the target_creation object will contain information on what properties are required to create the target.

Target creation properties are all string values; the enum flag indicates if the property has a fixed set of valid values. When enum is true, the Target Creation Property Values endpoint can be used to retrieve the valid values. Alternatively, pass include_target_creation_values=true to inline the values array for each enum property directly in this response.

Sync modes

The sync mode determines which records are written to the destination for a model sync. The modes array for a target object defines the id along with what operations the mode supports.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Query parameters

include_target_creation_valuesbooleanOptionalDefaults to false

When true, inline the valid values for each enum target-creation property in the response. Skips the separate call to retrieve property values.

Response

OK
datalist of objects or null
target_creationobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error